/*******************************************************************************
 * FoxGRI_TKOTH generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGRI_TKOTH extends FoxGRI_TDM
    native
    config(Game)
    hidecategories(Navigation,Movement,Collision);

var FoxGameObject_HillPoint griCachedActiveHillPoint;

replication
{
    // Pos:0x000
    if((Role == ROLE_Authority) && bNetDirty)
        griCachedActiveHillPoint
}

simulated function GameAction(name hillName, name ActionName)
{
    local array<string> args;
    local PlayerController PC;

    PC = GetALocalPlayerController();
    // End:0x173
    if(((PC != none) && PC.PlayerReplicationInfo != none) && PC.PlayerReplicationInfo.Team != none)
    {
        args.AddItem("Dia_Dom_GameAction");
        args.AddItem(FoxTeamInfo(PC.PlayerReplicationInfo.Team).GetDialogName());
        args.AddItem(GameTypeCode);
        args.AddItem(string(ActionName));
        args.AddItem(string(hillName));
        PC.PostAkDialog(args, true);
    }
    //return;    
}

// Export UFoxGRI_TKOTH::execGetPRIThreatLevel(FFrame&, void* const)
native simulated function int GetPRIThreatLevel(FoxPRI PRI);

simulated function int GetScoreForEvent(FoxTypes.EScoreEvents EventType)
{
    switch(EventType)
    {
        // End:0x3A
        case 6:
            return class'FoxScoringInfoTKOTH'.default.ExpPointAttack;
            // End:0xD9
            break;
        // End:0x61
        case 7:
            return class'FoxScoringInfoTKOTH'.default.ExpPointDefend;
            // End:0xD9
            break;
        // End:0x88
        case 8:
            return class'FoxScoringInfoTKOTH'.default.ExpPointCapture;
            // End:0xD9
            break;
        // End:0xAF
        case 9:
            return class'FoxScoringInfoTKOTH'.default.ExpPointCaptureAssist;
            // End:0xD9
            break;
        // End:0xD6
        case 11:
            return class'FoxScoringInfoTKOTH'.default.ExpHoldScoreInterval;
            // End:0xD9
            break;
        // End:0xFFFF
        default:
            return super(FoxGRI).GetScoreForEvent(EventType);
    }
    //return ReturnValue;    
}

simulated function float GetIntervalForEvent(FoxTypes.EScoreEvents EventType)
{
    switch(EventType)
    {
        // End:0x3C
        case 11:
            return float(class'FoxScoringInfoTKOTH'.default.HoldInterval);
            // End:0x3F
            break;
        // End:0xFFFF
        default:
            return super(FoxGRI).GetIntervalForEvent(EventType);
    }
    //return ReturnValue;    
}

defaultproperties
{
    ScoringInfoClass=class'FoxScoringInfoTKOTH'
    GameTypeAudioBanks(0)=AkBank'A_ControlPoint.Bank.ControlPoint'
    DialogActionCategory="HillPoint"
    GameTypeCode="TKOTH"
    GameClass=class'FoxGameMP_TKOTH'
}